## r-cran-gnm 1.0

=== DESCRIPTION ===
Package: gnm
Title: Generalized Nonlinear Models
Version: 1.0-8
Date: 2015-04-21
Authors@R: c(person("Heather", "Turner", role = c("aut", "cre"),
                    email = "ht@heatherturner.net"),
             person("David", "Firth", role = "aut"),
             person("Brian", "Ripley", role = "ctb"),
	     person("Bill", "Venables", role = "ctb"),
	     person(c("Douglas", "M."), "Bates", role = "ctb"),
	     person("Martin", "Maechler", role = "ctb"))
Description: Functions to specify and fit generalized nonlinear models, including models with multiplicative interaction terms such as the UNIDIFF model from sociology and the AMMI model from crop science, and many others.  Over-parameterized representations of models are used throughout; functions are provided for inference on estimable parameter combinations, as well as standard methods for diagnostics etc.
URL: http://go.warwick.ac.uk/gnm
License: GPL-2 | GPL-3
Depends: R (>= 2.3.0)
Imports: MASS, stats, graphics, Matrix, nnet, qvcalc (>= 0.8-3), relimp
Suggests: vcdExtra
LazyData: yes
NeedsCompilation: yes
Packaged: 2015-04-22 09:28:24 UTC; hturner
Author: Heather Turner [aut, cre],
  David Firth [aut],
  Brian Ripley [ctb],
  Bill Venables [ctb],
  Douglas M. Bates [ctb],
  Martin Maechler [ctb]
Maintainer: Heather Turner <ht@heatherturner.net>
Repository: CRAN
Date/Publication: 2015-04-22 12:08:50

## r-cran-gnm 1.0-8

=== debian/changelog ===
r-cran-gnm (1.0-8-1) unstable; urgency=low

  * Initial release (Closes: #792511)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 13 Jul 2015 20:58:29 +0200

=== debian/control ===
Source: r-cran-gnm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: gnu-r
Priority: optional
Build-Depends: r-base-dev, r-cran-mass, r-cran-matrix, r-cran-nnet,
 r-cran-qvcalc, r-cran-relimp, r-base-core, debhelper (>= 9), cdbs
Standards-Version: 3.9.6
Homepage: http://go.warwick.ac.uk/gnm

Package: r-cran-gnm
Architecture: any
Depends: r-base-core, r-cran-mass, r-cran-matrix, r-cran-nnet,
 r-cran-qvcalc, r-cran-relimp, ${R:Depends}, ${shlibs:Depends}
Description: GNU R package for generalized nonlinear models
 Functions to specify and fit generalized nonlinear models, including
 models with multiplicative interaction terms such as the UNIDIFF model
 from sociology and the AMMI model from crop science, and many others.
 Over-parameterized representations of models are used throughout;
 functions are provided for inference on estimable parameter
 combinations, as well as standard methods for diagnostics etc.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/gnm_([\d\.-]*).tar.gz

## r-cran-gnm 1.1

=== DESCRIPTION ===
Package: gnm
Title: Generalized Nonlinear Models
Version: 1.1-5
Authors@R: c(
    person("Heather", "Turner", , "ht@heatherturner.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1256-3375")),
    person("David", "Firth", role = "aut",
           comment = c(ORCID = "0000-0003-0302-2312")),
    person("Brian", "Ripley", role = "ctb"),
    person("Bill", "Venables", role = "ctb"),
    person(c("Douglas", "M."), "Bates", role = "ctb"),
    person("Martin", "Maechler", role = "ctb",
           comment = c(ORCID = "0000-0002-8685-9910"))
  )
Description: Functions to specify and fit generalized nonlinear models,
    including models with multiplicative interaction terms such as the
    UNIDIFF model from sociology and the AMMI model from crop science, and
    many others.  Over-parameterized representations of models are used
    throughout; functions are provided for inference on estimable
    parameter combinations, as well as standard methods for diagnostics
    etc.
License: GPL-2 | GPL-3
URL: https://github.com/hturner/gnm
BugReports: https://github.com/hturner/gnm/issues
Depends: R (>= 3.0.0)
Imports: graphics, grDevices, MASS, Matrix, methods, nnet, qvcalc (>=
        0.8-3), relimp, stats, utils
Suggests: logmult, testthat (>= 3.0.0), vcdExtra
Encoding: UTF-8
Language: en-GB
LazyData: yes
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2023-09-16 11:07:03 UTC; stspao
Author: Heather Turner [aut, cre] (<https://orcid.org/0000-0002-1256-3375>),
  David Firth [aut] (<https://orcid.org/0000-0003-0302-2312>),
  Brian Ripley [ctb],
  Bill Venables [ctb],
  Douglas M. Bates [ctb],
  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>)
Maintainer: Heather Turner <ht@heatherturner.net>
Repository: CRAN
Date/Publication: 2023-09-16 11:40:02 UTC

## r-cran-gnm 1.1-0

=== debian/changelog ===
r-cran-gnm (1.1-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jun 2018 13:32:04 +0200

r-cran-gnm (1.0-8-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in watch file
  * cme fix dpkg-control
  * debhelper 11
  * Take over package into r-pkg team
  * Convert from cdbs to dh-r
  * Canonical Homepage for CRAN packages
  * Add autopkgtest
  * Document binary data files in debian/README.source

 -- Andreas Tille <tille@debian.org>  Mon, 12 Mar 2018 07:27:36 +0100

=== debian/control ===
Source: r-cran-gnm
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-matrix,
               r-cran-nnet,
               r-cran-qvcalc,
               r-cran-relimp
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gnm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gnm.git
Homepage: https://cran.r-project.org/package=gnm

Package: r-cran-gnm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for generalized nonlinear models
 Functions to specify and fit generalized nonlinear models, including
 models with multiplicative interaction terms such as the UNIDIFF model
 from sociology and the AMMI model from crop science, and many others.
 Over-parameterized representations of models are used throughout;
 functions are provided for inference on estimable parameter
 combinations, as well as standard methods for diagnostics etc.

## r-cran-gnm 1.1-1

=== debian/changelog ===
r-cran-gnm (1.1-1-3) unstable; urgency=medium

  * Team upload.
  * lapack-3.10.patch: new patch, fixes autopkgtest against lapack 3.10
    (Closes: #994457)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Oct 2021 18:03:30 +0200

r-cran-gnm (1.1-1-2) unstable; urgency=medium

  * Add missing testthat.R ; Test-Depends: r-cran-testthat; fix run-unit-test
    Closes: #953233
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Sat, 07 Mar 2020 07:31:37 +0100

r-cran-gnm (1.1-1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Bálint does not manage to keep on maintaining this package

  [ Dylan Aïssi ]
  * debhelper-compat 12
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Feb 2020 06:27:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: r-cran-gnm
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-mass,
@@ -11,7 +11,7 @@
                r-cran-nnet,
                r-cran-qvcalc,
                r-cran-relimp
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gnm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gnm.git
 Homepage: https://cran.r-project.org/package=gnm

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/gnm_([\d\.-]*).tar.gz

## r-cran-gnm 1.1-2

=== debian/changelog ===
r-cran-gnm (1.1-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Contact.

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 11:54:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mass,
@@ -11,10 +12,11 @@
                r-cran-nnet,
                r-cran-qvcalc,
                r-cran-relimp
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gnm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gnm.git
 Homepage: https://cran.r-project.org/package=gnm
+Rules-Requires-Root: no
 
 Package: r-cran-gnm
 Architecture: any

## r-cran-gnm 1.1-5

=== debian/changelog ===
r-cran-gnm (1.1-5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2023 15:23:21 +0200

r-cran-gnm (1.1-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Wed, 30 Aug 2023 15:24:09 +0200

r-cran-gnm (1.1-2-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream commit to update RChomog2 test for
    changed output (Closes: #1039651)
  * Do not ship tests/testthat/outputs/RChomog2.rds,
    dropped upstream
  * Skip doubleUnidiff test with changed output

 -- Graham Inggs <ginggs@debian.org>  Mon, 03 Jul 2023 12:29:01 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-nnet,
                r-cran-qvcalc,
                r-cran-relimp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gnm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gnm.git
 Homepage: https://cran.r-project.org/package=gnm

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name WORDLIST -o -name "*.Rnw" \) -exec chmod -x \{\} \;
	# Do not ship tests/testthat/outputs/RChomog2.rds, dropped upstream
	rm -f debian/r-cran-gnm/usr/share/doc/r-cran-gnm/tests/testthat/outputs/RChomog2.rds*

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 3.0.0),
        r-cran-vcdextra
Restrictions: allow-stderr
